Client notes
List a client's notes
GET /v1/clients/{id}/notes
Scope: client_notes:read
| Parameter | In | Required |
|---|
id | path | Yes |
Add a note to a client
POST /v1/clients/{id}/notes
Scope: client_notes:create
| Parameter | In | Required |
|---|
id | path | Yes |
| Body field | Type | Required |
|---|
kind | string | Yes |
body | string | Yes |
severity | | No |
pinned | boolean | No |
Update a client note
PATCH /v1/clients/{id}/notes/{noteId}
Scope: client_notes:update
| Parameter | In | Required |
|---|
id | path | Yes |
noteId | path | Yes |
If-Match | header | No |
| Body field | Type | Required |
|---|
body | string | No |
severity | | No |
pinned | boolean | No |
archived | boolean | No |